/***************************************************************************
 *                                                                         *
 *                              QNotify                                    *
 *                                                                         *
 *            Copyright (C) 2006 Holger Macht <holger@homac.de>            *
 *                                                                         *
 *                 Author: Holger Macht <holger@homac.de>                  *
 *                                                                         *
 * This program is free software; you can redistribute it and/or modify it *
 * under the terms of the GNU General Public License as published by the   *
 * Free Software Foundation; either version 2 of the License, or (at you   *
 * option) any later version.                                              *
 *                                                                         *
 * This program is distributed in the hope that it will be useful, but     *
 * WITHOUT ANY WARRANTY; without even the implied warranty of              *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       *
 * General Public License for more details.                                *
 *                                                                         *
 * You should have received a copy of the GNU General Public License along *
 * with this program; if not, write to the Free Software Foundation, Inc., *
 * 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA                  *
 *                                                                         *
 ***************************************************************************/

#ifndef ALIGN_H
#define ALIGN_H

#include "widgetNode.h"
#include "qnotify_popup.h"
#include <qvaluelist.h>

class align {
      public:
	align();
	~align();

	QNotifyPopup *ltop_rbottom_h(QNotifyPopup *, wNode *, wNode *);
	QNotifyPopup *ltop_rbottom_v(QNotifyPopup *, wNode *, wNode *);
	QNotifyPopup *ltop_rbottom_d(QNotifyPopup *, wNode *, wNode *);

};

#endif
